@charset "UTF-8";

/*--- ページヘッダ ---*/
.page-header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 0.5rem;
  box-sizing: border-box; /* paddingとborderを幅と高さに含める */
  z-index: 1;
  &::before { /* ヘッダーの背景 */
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 4rem;
    background-image: linear-gradient(0, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.3) 100%);
    z-index: -1;
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上）*/
  /* ページヘッダー */
  .page-header {
    padding: 1rem;
    &::before { /* ヘッダーの背景 */
      height: 6rem;
    }
  }
}

/* ロゴ画像 */
.hd-logo {
  width: 85px;
  height: 30px;
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上） */
  .hd-logo {
    width: 170px;
    height: 60px;
  }
}

/*--- ナビゲーションラッパー ---*/
.navi-wrapper {
  position: absolute; /* メニューボタン、ボタンテキスト、リスト、背景の起点を指定 */
  top: 0;
  right: 0;
  /*z-index: 300;*/
  z-index: 2;
}

/* メニューボタン領域 */
.menu-btn-area {
  position: relative;
  top: 10px;
  right: 10px;
  z-index: 200; /* [navi-wrapper]内 */
}

.menu-btn {
  position: relative;
  top: 0;
  left: 0;
  width: 32px;
  height: 32px;
  cursor: pointer;
}

.menu-btn-line {
  &::before {
    top: 1px;
    content: "";
    position: absolute;
    left: 1px;
    width: 30px;
    height: 2px;
    background-color: white;
    transition: all 0.5s;
    display: block;
  }
  & span {
    /*top: 45%;*/
    top: 15px;
    position: absolute;
    left: 1px;
    width: 30px;
    height: 2px;
    background-color: white;
    transition: all 0.5s;
    display: block;
  }
  &::after {
    /*top: 90%;*/
    top: 29px;
    content: "";
    position: absolute;
    left: 1px;
    width: 30px;
    height: 2px;
    background-color: white;
    transition: all 0.5s;
    display: block;
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上） */
  /* メニューボタン領域 */
  .menu-btn-area {
    top: 15px;
    right: 30px;
  }
  /* メニューボタン */
  .menu-btn {
    width: 42px;
    height: 42px;
  }
  /* メニューボタンライン */
  .menu-btn-line {
    &::before {
      top: 1px;
      width: 40px;
    }
    & span {
      top: 20px;
      width: 40px;
    }
    &::after {
      top: 39px;
      width: 40px;
    }
  }
}

/* (navi-openクラスあり)メニューボタンを「×」に */
.navi-wrapper.navi-open .menu-btn-line {
  &::before {
    background-color: #F8F8F8;
    transform: rotate(-45deg);
    top: 15px;
  }
  & span {
    opacity: 0;
  }
  &::after {
    background-color: #F8F8F8;
    transform: rotate(45deg);
    top: 15px;
  }
}

/* ナビリスト領域 */
.navi-lst-area {
  position: fixed;
  top: 0;
  right: -100%; /* 右側に隠す */
  width: 70%;
  height: 100vh;
  padding-top: 60px;
  box-sizing: border-box; /* パディング、境界含む */
  background-color: #0B4587;
  transition: all 0.5s ease-out;
  z-index: 100; /* [navi-wrapper]内 */
  & > ul {
    height: 80vh;
    overflow-y: auto; /* スクロール可 */
    & > li {
      text-align: left;
      border-top: 1px solid silver;
      &:last-of-type { /* 最後のli */
        border-bottom: 1px solid silver;
      }
    }
  }
}

/* (navi-openクラスあり)ナビリストを右からスライド */
.navi-wrapper.navi-open .navi-lst-area {
  right: 0;
}

/* ナビリスト */
.navi-top, 
.navi-bus, 
.navi-sdgs, 
.navi-com, 
.navi-rec, 
.navi-con {
  & a {
    padding: 30px 20px;
    /*color: #333;*/
    color: #fff;
    text-decoration: none;
    display: block;
    &:hover {
      color: #fff;
      background-color: darkblue;
    }
    & span {
      margin-left: 10px;
      font-size: var(--font-size-12);
    }
  }
}

@media (min-width: 768px) { /* タブレット向け（画面幅 768px 以上）*/
  /* ナビリスト領域 */
  .navi-lst-area {
    width: 30%;
  }
}

@media (min-width: 1024px) { /* パソコン向け（画面幅 1024px 以上） */
  /* ナビリスト領域 */
  .navi-lst-area {
    width: 30%;
  }
}

/* ナビ背景 */
.navi-bg-area {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: #000;
  visibility: hidden;
  transition: all 0.5s;
  opacity: 0;
  cursor: pointer;
  z-index: 0; /* [navi-wrapper]内 */
}

/* (navi-openクラスあり)ナビ背景を表示 */
.navi-wrapper.navi-open .navi-bg-area {
  opacity: 0.5;
  visibility: visible;
}